Bug 199244 - crm #940140: tasklist (wnck ) window menu out of sync with metacity and lists roll-up instead on on-top
crm #940140: tasklist (wnck ) window menu out of sync with metacity and lists...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libwnck (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-18 08:33 EDT by ritz
Modified: 2014-06-18 05:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-07 01:14:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Replace roll-up with on-top (8.46 KB, patch)
2006-07-18 08:33 EDT, ritz
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 135710 None None None Never

  None (edit)
Description ritz 2006-07-18 08:33:30 EDT
---------------------------------------------------------------
Description of problem:
---------------------------------------------------------------
**** Problem Description
Source : Service Request 940140
Created by : AMPAEDS
Created on : 06-Jul-2006 12:36:02

The menu displayed for windows in the Gnome window list applet includes the
"Roll-up" option to implement shading. Support for shading is not present in the
Metacity window manager's menu. A look at the source code suggests it was
explicitly compiled out.

It seems inconsistent that it is present in the window list and not in Metacity.

We would like to remove it from the window list, as we do not have any real use
for it. A cursory inspection of the code suggests that the applet's menu is
generated in the depths of the "libwnck" library and I could not find any option
to disable it.

Is there a means of disabling it ?

---------------------------------------------------------------
Version-Release number of selected component (if applicable):
---------------------------------------------------------------

metacity-2.8.6-2.8
libwnck-2.8.1-1.rhel4.1

---------------------------------------------------------------
How reproducible:
---------------------------------------------------------------

Steps to Reproduce:
1. Check menu for window list in gnome panel
2. Check menu for window with metacity
3.

---------------------------------------------------------------
Actual results:
---------------------------------------------------------------

Out of sync.

---------------------------------------------------------------
Expected results:
---------------------------------------------------------------

In sync.
---------------------------------------------------------------
Additional info:
---------------------------------------------------------------

Attached patch will replace roll up, with on top menu.
Comment 1 ritz 2006-07-18 08:33:31 EDT
Created attachment 132595 [details]
Replace roll-up with on-top
Comment 2 ritz 2007-03-05 09:50:31 EST
The menu displayed for windows in the Gnome window list applet includes the
"Roll-up" option to implement shading. Support for shading is not present in the
Metacity window manager's menu. A look at the source code suggests it was
explicitly compiled out.

It seems inconsistent that it is present in the window list and not in Metacity.
Comment 3 ritz 2007-07-17 12:29:49 EDT
Related bugzilla enteries
Metacity : Consider replacing "Roll Up" with "On Top"
http://bugzilla.gnome.org/show_bug.cgi?id=123162

libwnck :wnck window menu out of sync with metacity
http://bugzilla.gnome.org/show_bug.cgi?id=135710

Note You need to log in before you can comment on or make changes to this bug.